from common import *

def plot_T850(day, lon,lat,T850):  # T850 at final time
    print 'Reading data ...'
    lon, lat, T850 = lon[:], lat[:], T850[day-1, :, :]
    print '... done.'
    plt.figure(figsize=(12,5))
    plt.contourf(lon,lat,T850)
    plt.colorbar() 
    plt.title('T850')
    axis_longitude()
    axis_latitude()
    plt.savefig('T850_day%d.png'%day)

gridfile = 'netcdf/output_dcmip2016_regular.nc'
nc = cdf.Dataset(gridfile, "r")
llm, nlon, nlat, ntime = getdims(nc, 'lev','lon','lat','time_counter')
lon, lat, T850, T, Phi = getvars(nc, 'lon','lat','T850', 'T', 'PHI')

plot_T850(7,lon,lat,T850)
plot_T850(10,lon,lat,T850)
plot_T850(30,lon,lat,T850)
